Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 25/05/2018, à 18:13

wizzlyman

[Résolu à 50%] Kdenlive : error loading libraries

Bonjour, j'ai tenté d'installer kdenlive par la logithèque puis en ligne de commande, mais rien n'y fait.
Kdenlive ne se lance pas.
voici ce que donne le lancement via terminal:

kdenlive: error while loading shared libraries: libQt5Svg.so.5: cannot open shared object file: No such file or directory

J'ai cherché ce paquet via synaptic sans succès, le nom le plus proche et déjà installé étant : libqt5svg5 , version installée: 5.9.5-Ouboutu1

Un petit coup de main pour m'aider à retrouver l'usage de ce petit joyau ?

(Remerciement 10 Ğ1 sur communication pubkey)

Dernière modification par wizzlyman (Le 28/05/2018, à 23:02)


CPU i5-4690, Seagate barracuda 1To, sapphire radeon HD7870-2048 OC, Ram 12Gb, Dual-boot ubuntu/win7.

Hors ligne

#2 Le 25/05/2018, à 18:14

zephirin

Re : [Résolu à 50%] Kdenlive : error loading libraries

Peut-être lié à la version MLT, un grand classique chez Kdenlive de ne pas avoir le moteur de rendu MLT au diapason de son logiciel.

S'inspirer de mes aventure au post #16 https://forum.ubuntu-fr.org/viewtopic.php?id=1748391

Dernière modification par zephirin (Le 25/05/2018, à 18:20)


iMac 27" fin09 Intel2duo 3Ghz 16gb ssd2T cg 512 HighSierra - 2 MacBook Air 13 2014&2017 i5 8gb ssd120 HighSierra
Tour Compaq Présario SR1360FR 2005 Pentium IV 540 3,2GHz  1gb512 ddr400 W7  32bit
Tour Apple G4 350MHz 576mo ram pc100 Tiger et ...
Tour 2010 Amd Phénom 4core 955-3,20GHz 8gb ddr3 dd1T cg4gb W10 + Voyager 18.04.1

Hors ligne

#3 Le 25/05/2018, à 18:16

wizzlyman

Re : [Résolu à 50%] Kdenlive : error loading libraries

Ok je viens de lire le post 16, je vais chercher une version un peu plus jeunette et voir si ta méthode peut être retranscrite.
Je mettais cela sur le compte de la 18.4 fraîchement installée.

Dernière modification par wizzlyman (Le 25/05/2018, à 18:32)


CPU i5-4690, Seagate barracuda 1To, sapphire radeon HD7870-2048 OC, Ram 12Gb, Dual-boot ubuntu/win7.

Hors ligne

#4 Le 25/05/2018, à 18:22

zephirin

Re : [Résolu à 50%] Kdenlive : error loading libraries

En fait 2 logiciels cohabitent pour fonctionner : Kdenlive avec lequel chaque version correspond à un autre logiciel appelé moteur de rendu ou MLT.

S'il y a dissonance avec les 2 patatrac ça ne marche pas !

Ici aussi un membre plus qu’éclairé pourra t'aider Funix son site ici : http://www.funix.org/
et
http://www.funix.org/fr/linux/index.php?ref=montage

Dernière modification par zephirin (Le 25/05/2018, à 18:26)


iMac 27" fin09 Intel2duo 3Ghz 16gb ssd2T cg 512 HighSierra - 2 MacBook Air 13 2014&2017 i5 8gb ssd120 HighSierra
Tour Compaq Présario SR1360FR 2005 Pentium IV 540 3,2GHz  1gb512 ddr400 W7  32bit
Tour Apple G4 350MHz 576mo ram pc100 Tiger et ...
Tour 2010 Amd Phénom 4core 955-3,20GHz 8gb ddr3 dd1T cg4gb W10 + Voyager 18.04.1

Hors ligne

#5 Le 25/05/2018, à 21:02

JiPi_82

Re : [Résolu à 50%] Kdenlive : error loading libraries

Pour ma part, je tourne avec la version "portable". Nickel. Aucun soucis.


UBUNTU 18.04.1 LTS 64 bits
Intel® Core™ i5-3570 | Mémoire : 16 Gio DDR3 1600 PC12800 | Chipset Z77
Disque : SSD 500 Go - HHD 2x1 To + 2 To | GForce 1050 HDMI 1920x1080 + DisplayPort 3840x2160
Chaîne YouTube : 82jipi

Hors ligne

#6 Le 28/05/2018, à 21:34

wizzlyman

Re : [Résolu à 50%] Kdenlive : error loading libraries

Bon, pas de kdenlive, pas d'open shot, pas de pitivi… Je suis en 18.04 suis-je le seul à avoir ce problème ?
Aucun logiciel de montage vidéo ne fonctionne.

Voila pour open shot:

jean-f@jeanf-ubuntu:~$ openshot-qt 
Loaded modules from installed directory: /usr/lib/python3/dist-packages/openshot_qt
Traceback (most recent call last):
  File "/usr/bin/openshot-qt", line 11, in <module>
    load_entry_point('openshot-qt==2.4.1', 'gui_scripts', 'openshot-qt')()
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 480, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 2693, in load_entry_point
    return ep.load()
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 2324, in load
    return self.resolve()
  File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 2330, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python3/dist-packages/openshot_qt/launch.py", line 53, in <module>
    from classes.app import OpenShotApp
  File "/usr/lib/python3/dist-packages/openshot_qt/classes/app.py", line 34, in <module>
    from PyQt5.QtWidgets import QApplication, QStyleFactory, QMessageBox
ImportError: libQt5Widgets.so.5: cannot open shared object file: No such file or directory

quand à pitivi, l'installeur de la logithèque ne l'installe pas:

Impossible d'installer Pitivi:
E: impossible d'obtenir le verrou /var/lib/dpkg/lock - open

CPU i5-4690, Seagate barracuda 1To, sapphire radeon HD7870-2048 OC, Ram 12Gb, Dual-boot ubuntu/win7.

Hors ligne

#7 Le 28/05/2018, à 23:01

wizzlyman

Re : [Résolu à 50%] Kdenlive : error loading libraries

JiPi_82 a écrit :

Pour ma part, je tourne avec la version "portable". Nickel. Aucun soucis.

Bon finalement j'ai fini par adopter ta solution portable. Kdenlive fonctionne, merci beaucoup ça me dépannera en attendant une installation que je préfèrerais en dur.

Effectivement pour Ubuntu, Kdenlive dit :

   Ubuntu | LinuxMint | Elementary
Étant donné qu’Ubuntu utilise des versions antérieurs de certaines dépendances (Qt, par exemple) jusqu’à la 18.04 (Mint 19), nous recommandons de télécharger la dernière “AppImage” (voir “Versions portables”) pour toutes les versions précédentes. A partir de Ubuntu 18.04, les dépôt pourrons à nouveau être actualisés.
——————————
installation Appimage (version portable): https://kdenlive.org/fr/2524-2/

Pour l’utiliser, il suffit de télécharger le fichier et de le rendre exécutable, (clic droit->”propriétés“->”permissions” ->”autoriser l’exécution du fichier comme un programme“)

Dernière modification par wizzlyman (Le 28/05/2018, à 23:08)


CPU i5-4690, Seagate barracuda 1To, sapphire radeon HD7870-2048 OC, Ram 12Gb, Dual-boot ubuntu/win7.

Hors ligne

#8 Le 29/05/2018, à 06:54

zephirin

Re : [Résolu à 50%] Kdenlive : error loading libraries

Merci pour l'info mais ils disent aussi sur leur page :


La plupart des distributions proposent des paquets Kdenlive.
Cependant, Kdenlive et ses dépendances (MLT, Qt…) évoluent rapidement et les paquets disponibles ne sont pas toujours à jour pour la dernière version.


iMac 27" fin09 Intel2duo 3Ghz 16gb ssd2T cg 512 HighSierra - 2 MacBook Air 13 2014&2017 i5 8gb ssd120 HighSierra
Tour Compaq Présario SR1360FR 2005 Pentium IV 540 3,2GHz  1gb512 ddr400 W7  32bit
Tour Apple G4 350MHz 576mo ram pc100 Tiger et ...
Tour 2010 Amd Phénom 4core 955-3,20GHz 8gb ddr3 dd1T cg4gb W10 + Voyager 18.04.1

Hors ligne